Good news ! Hackbusters community is waiting for you !  https://discuss.hackbusters.com
KnowBe4 has been running the HackBusters site for a few years now, providing you with trending IT security news. We are expanding it and have launched a new exciting online community! The forum is divided into four main topics or categories: Social Engineering, Ransomware, Phishing and Security Awareness Training. You are invited to be one of the first to join us at: https://discuss.hackbusters.com.

Google+ to Shut Down Early After New API Flaw Hits 52.5 Million Users

Google today revealed that Google+ has suffered another massive data breach, forcing the tech giant to shut down its struggling social network four months earlier than its actual scheduled date, i.e., in April 2019 instead of August 2019.

Google said it discovered another critical security vulnerability in one of Google+'s People APIs that could have allowed developers to steal private information on 52.5 million users, including their name, email address, occupation, and age.

The vulnerable API in question is called "People: get" that has been designed to let developers request basic information associated with a user profile.

However, software update in November introduced the bug in the Google+ People API that allowed apps to view users' information even if a user profile was set to not-public.

Google engineers discovered the security issue during standard testing procedures and addressed it within a week of the issue being introduced.

The company said it found no...(continued)

View All Trending Stories